from typing import Dict
from typing import List
import time
import sys

class Render():
    @staticmethod
    def render_table(data: List[List[str]], args: Dict, horizen=True, padding=3, upper=True) -> None:
        # transform titles to upper case
        for i in range(len(data[0])):
            if(upper == True): 
                data[0][i] = data[0][i].upper()
        if not horizen:
            # transpose the input data matrix to get a vertical output
            data = list(map(list, zip(*data)))
        # get colomn width
        column_width_list = [
            max(map(lambda row: len(row[col]), data)) + padding\
            for col in range(len(data[0]))
        ]
        content = ""
        for row in data:
            for i, element in enumerate(row):
                width = column_width_list[i]
                content += f"{element:<{width}}"
            content += "\n"

        if(args['--filename'] != None):
            fo = open(args['--filename'], "a")
            fo.write(content + '\n')
            fo.close()
        else:
            print(content)

if __name__ == "__main__":
    data = [
        ["fdsf","dsf","dsf"],
        ["11","2","3"],
        ["1","2","3333"],
        ["111","2333ddd","3"],
    ]
    Render.render_table(data, horizen=False)
    Render.render_table(data, padding=6)
