"""
usage:
   xdxsmi pmon [options]

options:
    -i, --index=val      show statistics of all processes running on target devices  [default: -1]
    -s, --metric=type    show selected type from memory, encoder, decoder and gfx
    -c, --cluster=num    show data for spcified number of samples
    -d, --delay=val      show data in specific interval
    -o, --clock          show time in H:M:S YMD format
"""

from typing import Dict
from xdxsmi.api.third_party_docopt import docopt
from xdxsmi.api.smi import XdxSmi
from xdxsmi.api.xdxgpu import XdxGpu
from get_set_attrs import setAttrs, getAttrs
import time

xdxgpu_pmon_head = \
f"""\
# gpu    pid     type    sm     mem     enc     dec     command
# Idx      #      C/G     %       %       %       %     name""" 

xdxgpu_pmon_body = \
f"""\
  {'N/A'}    {'N/A'}      {'N/A'}   {'N/A'}     {'N/A'}     {'N/A'}     {'N/A'}     {'N/A'}"""

def handle(xdx_smi: XdxSmi, args: Dict):
    #Collect target gpus
    target_gpus = []
    if args["--index"] != '-1':
        target_gpus.append(int(args["--index"]))

    print(xdxgpu_pmon_head)
    try:
        while(True):
            time.sleep(1)
            print(xdxgpu_pmon_body)
    except KeyboardInterrupt:
        pass

if __name__ == "__main__":
    print(docopt(__doc__))