"""
usage:
   xdxsmi set [-acp <arg>] [options]

options:
    -i, --index=val                target gpu to read/write attributes, start from 0 [default: -1]
    -e, --ecc-config=config        configure the ecc mode for the target gpu
    -c, --compute-mode=mode        reset the ecc error counters for the target gpu
    -r, --gpu-rest                 reset the target gpu
    -ac,--app-clocks=val           specify max <mem, gfx> clocks as a pair
    -acp,--app-clocks-perms=mode   reset the app clocks to the default value
    -pk,--power-limit=power_limit  specify max power limit in watts
    -am,--accounting-mode=mode     enable or disable GPU Acounting. 0 is disabled while 1 is enabled
"""

from typing import Dict
from xdxsmi.api.third_party_docopt import docopt
from xdxsmi.api.smi import XdxSmi
from get_set_attrs import setAttrs, getAttrs

def handle(xdx_smi: XdxSmi, args: Dict):
    
    if(args['-a'] and args['--compute-mode']=='p' and args['<arg>']!=None):
        print(args['<arg>'])
    elif(args['-a'] and args['--compute-mode']!=None and args['<arg>']==None):
        print(args['--compute-mode'])

if __name__ == "__main__":
    print(docopt(__doc__))